## ipvlan ipvlan — IPVLAN Settings |

## Properties

Table 31.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    mode
    uint32
    0
| The IPVLAN mode. Valid values: 1 (l2), 2 (l3) and 3 (l3s).
    parent
    string
| If given, specifies the parent interface name or parent connection UUID from which this IPVLAN interface should be created. If this property is not specified, the connection must contain an "802-3-ethernet" setting with a "mac-address" property.
    private
    boolean
    FALSE
| Whether the interface should be put in private mode.
    vepa
    boolean
    FALSE
| Whether the interface should be put in VEPA mode.